Yandex Cloud SIEM Queries API, REST: Session.List
Retrieves a list of Sessions.
This returns only Sessions for which the caller has the siem.queries.get permission.
HTTP request
GET https://siem.api.yandexcloud.kz/siem/v1/queries/sessions
Query parameters
|
Field |
Description |
|
siemInstanceId |
string Required field. Required. ID of related SIEM instance. The maximum string length in characters is 50. |
|
pageSize |
string (int64) The maximum number of results per page that should be returned. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. Set The maximum string length in characters is 100. |
|
filter |
string Optional. A filter expression that filters resources listed in the response. The maximum string length in characters is 1000. |
|
orderBy |
string Optional. By which column the listing should be ordered and in which direction, The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"sessions": [
{
"siemInstanceId": "string",
"id": "string",
"name": "string",
"description": "string",
"labels": "object",
"status": "string",
"createdAt": "string",
"updatedAt": "string",
"createdBy": "string",
"updatedBy": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
sessions[] |
Requested list of Sessions |
|
nextPageToken |
string This token allows you to get the next page of results for List requests if the number of |
Session
Session is a container for Datasets and Searches.
|
Field |
Description |
|
siemInstanceId |
string Required. ID of related SIEM instance. |
|
id |
string Required field. Required. Unique ID of the Session. The maximum string length in characters is 50. |
|
name |
string Required field. Required. Name of the Session. 1-64 characters long. The maximum string length in characters is 64. |
|
description |
string The description of the Session. 0-256 characters long. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Resource labels as |
|
status |
enum (Status) Session status
|
|
createdAt |
string (date-time) The time when Session was created at. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updatedAt |
string (date-time) The time when Session was last updated at. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who created Session |
|
updatedBy |
string ID of the user or service account who updated Session. |